tvecreduce(1)

NAME
tvecreduce - Combines or collapses repetitions within vectors.

SYNOPSIS
tvecreduce [-i infile] [-o outfile]
           [-R # nam1 ... namN] [-C # nam1 ... namN]

DESCRIPTION
tvecreduce is used to remove repetitions from tvecs, while getting some simple statistics. It will output two types of nrep=1 tvecs: collapsed (-R) and combined (-C). Collapsed vectors are formed by simply taking only the first entry of each repetition, and on output they will have the same name as they had before collapsing.

For each combined tvec, tvecreduce creates several new nrep=1 tvecs, that have standard suffixes added to their names in order to distinguish them (if you don't like these suffixes, see tvecrename(1)). Most interesting, it creates vectors suffixed with _max, _min, and _avg which contains the maximum, minumum or average of all the repetitions. It also creates a separate vector for each repetition location (i.e. _0 will have the first timing for each entry, _1 will have the second, etc). Therefore, no information is lost in this step for reducec tvecs. Other tools like tveccat(1), tvecjoin(1), tvecscale(1) and tvecprint(1) can then be used to get rid of any unneeded tvecs.

OPTIONS

-i infile
    Take input from infile, rather than stdin.

-o outfile
    Write tvecs to outfile, rather than stdout.

-R # nam1 ... namN
    vectors to reduce.

-C # nam1 ... namN
    vectors to collapse.

EXAMPLE
tvecreduce -R 1 N -C 3 MFLOP_lu MFLOP_qr MFLOP_mm

BUGS
http://math-atlas.sourceforge.net/faq.html#help

SEE ALSO
atltvecs(7) tvecget(1) tvecunify() tveccat(1) tvecselect(1) tvecratio(1) tvecjoin(1) tvecscale(1) tvecreduce(1) tvecrename(1) tvecprint(1)

AUTHOR
R. Clint Whaley